@ECHO OFF

ECHO.
ECHO ----- BUILDING Maths Pack FOR THE TI-83...
ECHO #define TI83 > temp.asm
TYPE mathpack.asm >> temp.asm
TASM -80 -I -B temp.asm mathpack.bin
IF ERRORLEVEL 1 GOTO ERRORS
DEVPAC83 mathpack

ECHO.
ECHO ----- BUILDING Maths Pack FOR THE TI-83+...
ECHO #define TI83P > temp.asm
TYPE mathpack.asm >> temp.asm
TASM -80 -I -B temp.asm mathpack.bin
IF ERRORLEVEL 1 GOTO ERRORS
DEVPAC8X mathpack

ECHO.
ECHO ---- Success!
ECHO TI-83 version is mathpack.83p
ECHO TI-83+ version is mathpack.8xp
GOTO DONE

:ERRORS
ECHO ----- There were errors!

:DONE
IF EXIST temp.asm DEL temp.asm > NUL
IF EXIST mathpack.bin DEL mathpack.bin > NUL
IF EXIST temp.lst DEL temp.lst > NUL